### A free/open-source library for quantitative finance

Classes
ql/pricingengines/americanpayoffathit.hpp File Reference

Analytical formulae for american exercise with payoff at hit. More...

`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for americanpayoffathit.hpp:

## Classes

class | AmericanPayoffAtHit
| Analytic formula for American exercise payoff at-hit options. More...

## Detailed Description

Analytical formulae for american exercise with payoff at hit.